# frozen_string_literal: true

module Meroku
  # Logic related to api keys, passwords
  class Secrets
    attr_reader :cached_aws_access_key_secret, :cached_private_key
    attr_accessor :meroku_secret

    def aws_access_key
      'AKIAIRTTOJ2NSX27XWFA'
    end

    def aws_access_key_secret
      return @cached_aws_access_key_secret if @cached_aws_access_key_secret
      @cached_aws_access_key_secret = download_aws_access_key_secret
      @cached_aws_access_key_secret
    end

    def download_aws_access_key_secret
      bucket = "http://s3.amazonaws.com/#{@meroku_secret}/"
      uri = URI("#{bucket}aws_access_key_secret")
      @cached_aws_access_key_secret = Net::HTTP.get(uri).chomp
      @cached_aws_access_key_secret
    end

    def private_key
      return @cached_private_key if @cached_private_key
      @cached_private_key = download_private_key
      @cached_private_key
    end

    def download_private_key
      uri = URI("http://s3.amazonaws.com/#{@meroku_secret}/meroku.id_rsa")
      @cached_private_key = Net::HTTP.get(uri).chomp
      @cached_private_key
    end
  end
end
