# frozen_string_literal: true

module Meroku
  # When this exception is raised, it means that Meroku is unable to perform
  # a requested action (probably due to misconfiguration) and must stop
  # immediately, rather than carrying on
  class Error < StandardError; end

  class Success < RuntimeError; end
end
